SFML 2.6.2

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Event::MouseButtonEvent Struct Reference

Mouse buttons events parameters (MouseButtonPressed, MouseButtonReleased) More...

`#include <SFML/Window/Event.hpp>`

## Public Attributes

Mouse::Button | button
| Code of the button that has been pressed.
int | x
| X position of the mouse pointer, relative to the left of the owner window.
int | y
| Y position of the mouse pointer, relative to the top of the owner window.

## Detailed Description

Mouse buttons events parameters (MouseButtonPressed, MouseButtonReleased)

Definition at line 96 of file Event.hpp.

## Member Data Documentation

## ◆ button

Mouse::Button sf::Event::MouseButtonEvent::button

Code of the button that has been pressed.

Definition at line 98 of file Event.hpp.

## ◆ x

int sf::Event::MouseButtonEvent::x

X position of the mouse pointer, relative to the left of the owner window.

Definition at line 99 of file Event.hpp.

## ◆ y

int sf::Event::MouseButtonEvent::y

Y position of the mouse pointer, relative to the top of the owner window.

Definition at line 100 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp